module sample(LED, SW, SG, SA,CLK6);
	input [3:0] SW;
	output [7:0] LED;
	output [7:0] SG;
	output [3:0] SA;
	input CLK6;
	
	assign LED = {SW, ~SW};
	assign SA = r_sa;
	assign SG = r_sg;

	reg [15:0] cnt;
	reg ck;
	reg [7:0] r_sg;
	reg [1:0] cnt_sa;
	reg [3:0] r_sa;
	
	always @(posedge CLK6) begin
		if (cnt == 6000) begin
			cnt <= 0;
			ck <= 1;
		end
		else begin
			cnt <= cnt + 1;
			ck <= 0;
		end
	end
	always @(posedge ck) begin
		cnt_sa <= cnt_sa + 1;
	end
	always @(cnt_sa) begin
		case(cnt_sa)
			0 : r_sg <= 8'b00000001;
			1 : r_sg <= 8'b00000010;
			2 : r_sg <= 8'b00000100;
			3 : r_sg <= 8'b00001000;
		endcase
		case(cnt_sa)
			0 : r_sa <= 4'b0001;
			1 : r_sa <= 4'b0010;
			2 : r_sa <= 4'b0100;
			3 : r_sa <= 4'b1000;
		endcase
	end
endmodule
